html {
  scroll-behavior: smooth;
}
body {
  font-family: 'Poppins', sans-serif;
  font-weight: 400;
  padding: 0;
  margin: 0;
  overflow-x: hidden;
}
img, video {
  border-radius: 12px;
}
.burger-menu {
  display: none;
}
.burger-menu .burger {
  height: 24px;
  aspect-ratio: 1;
}
.mobile-menu {
  opacity: 0;
  position: fixed;
  right: -100%;
  width: 100%;
  height: 100%;
  background-color: #000;
  transition: ease-in-out .3s;
}
.mobile-menu.active {
  display: block;
  opacity: 100;
  position: fixed;
  right: 0;
  background-color: #000;
  height: 100%;
  width: 100%;
  float: right;
  z-index: 100;
  transition: ease-in-out .3s;
}
.mobile-menu .mobile-menu-container {
  display: flex;
  flex-direction: column;
  gap: 50px;
  padding: 20px;
}
.mobile-menu .mobile-menu-container .logo-container .logo {
  object-fit: contain;
  height: 150px;
  width: 150px;
}
.mobile-menu .mobile-menu-container .navigation {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.cta {
  background-color: #0177C1;
  color: #ffffff;
  text-decoration: none;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 8px;
  padding: 8px 16px 8px 16px;
  width: fit-content;
  transition: ease-in-out .3;
}
.cta:hover {
  background-color: #0a5380;
  transition: ease-in-out .3;
}
.max-width {
  width: 100%;
}
.header {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100px;
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  background-color: #000000;
  z-index: 50;
}
.image-w-text .image{
  object-fit: contain;
  /* max-height: 300px !important; */
  max-width: 300px !important;
}
.header-container {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  width: 100%;
  max-width: 80vw;
}
.header .header-container .logo-container {
  height: 70px;
  width: 200px;
  display: flex;
  gap: 20px;
  align-items: center;
  text-decoration: none;
}
.header .logo {
  object-fit: contain;
  height: 70px;
  width: 70px;
}
.header .header-container .logo-container .logo-text, .logo-text-mobile, .mobile-menu .logo-container {
  text-decoration: none;
  color: #fff;
}
.header .header-container .logo-container .logo-text {
  font-family: "Abril Fatface", serif;
  font-size: 1.5rem;
}
.mobile-menu .logo-container {
  display: flex;
  gap: 20px;
  align-items: center;
}
.header .navigation {
  display: flex;
  gap: 20px;
}
.header .navigation .navigation-link, 
.header .navigation-lang .navigation-lang-link, 
.mobile-menu .mobile-menu-container .navigation .navigation-link,
.mobile-menu .mobile-menu-container .navigation-lang .navigation-lang-link {
  color: #ffffff;
  text-decoration: none;
}
.header .navigation .navigation-link:hover {
  color: #ffffff;
}
.first-section {
  background-color: #000;
  height: 600px;
}
.video-container .video {
  position: relative;
}
.video-container .video .video-filter {
  position: absolute;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.2);
  height: 600px;
  width: 100%;
}
#home-products-carousel .product {
  padding-bottom: 10px;
  scroll-snap-align: start;
  width: 300px;
}
#videoloop1 {
  height: 600px;
  object-fit: cover;
  width: 100%;
  border-radius: 0;
}
.second-section .about-us-container {
  height: 500px;
  align-items: center;
}
.second-section .about-us-container, .third-section .third-section-container {
  display: flex;
  gap: 50px;
  padding: 20px 50px;
}
.second-section .about-us-container .about-us-image {
  display: flex;
  justify-content: center;
}
.second-section .about-us-container .about-us-image .image {
  object-fit: contain;
  max-height: 100%;
  max-width: 100%;
}
.third-section, .bg-contrast {
  background-color: #dcdcdc;
}
.third-section .cta-container {
  display: flex;
  justify-content: center;
}
.third-section .products-title-container {
  display: flex;
  flex-direction: column;
  gap: 50px;
}
.third-section .products-title-container .title-container {
  text-align: center;
}
.third-section .products-title-container .title-container h1 {
  margin: 0;
}
.third-section .products-title-container .products {
  display: flex;
  justify-content: flex-start;
  align-items: start;
  gap: 150px;
  width: 1200px;
  overflow-x: auto;
  scroll-snap-type: x mandatory;
}
.third-section .products-title-container .products .product .product-image {
  background-color: #fff;
  border-radius: 12px;
  max-height: 300px;
  width: 300px;
  object-fit: contain;
}
.third-section .products-title-container .products .product .product-name {
  font-weight: 600;
  font-size: 0.9rem;
  margin: 0;
  padding: 0;
}
.third-section .products-title-container .products .product .product-type {
  font-weight: 600;
  font-size: 0.75rem;
  margin: 0;
  padding: 0;
}
.third-section .products-title-container .products .product .product-info {
  display: flex;
  flex-direction: column;
  gap: 5px;
  padding-top: 10px;
}
.footer {
  background-color: #000;
  color: #fff;
}
.footer .footer-container {
  display: flex;
  flex-direction: column;
  gap: 20px;
  padding: 75px 50px;
  position: relative;
}
.footer .footer-container .footer-property {
  text-align: center;
  font-size: 12px;
}
.footer .footer-container .image-name-container, .footer .footer-container .links-container {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.footer .footer-container .footer-content {
  display: flex;
  justify-content: space-evenly;
  gap: 20px;
}
.footer .footer-container .footer-content .image {
  max-height: 80px;
  max-width: 200px;
  object-fit: contain;
  height: 100%;
  width: 100%;
}
.footer .navigation {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.footer .navigation .navigation-link {
  color: #fff;
  text-decoration: none;
}
.footer .navigation .navigation-socials {
  display: flex;
  gap: 20px;
}
.footer .navigation .navigation-socials .navigation-social {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 5px;
  border: 1px solid #ffffff;
  border-radius: 10px;
  transition: all ease-in-out .3s;
}
.footer .navigation .navigation-socials .navigation-social:hover {
  background-color: #fff;
}
.footer .navigation .navigation-socials .navigation-social .social {
  width: 20px;
  height: 20px;
  transition: all ease-in-out .3s;
}
.footer .navigation .navigation-socials .navigation-social:hover .social {
  filter: contrast(100) brightness(0);
}
.footer .footer-content .business-name h2 {
  font-family: "Abril Fatface", serif;
  margin: 0;
}
.footer .footer-content .business-info {
  font-size: 12px;
}
.first-section-spacing {
  padding-top: 100px;
}
.about-us-page .second-section {
  display: flex;
  align-items: center;
  min-height: 500px;
}
.products-list {
  background-color: #dcdcdc;
  padding: 20px;
}
.products-list .products-title-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}
.products-list .products {
  display: grid;
  grid-template-columns: 45% 45%;
  gap: 20px;
  max-width: 100%;
  justify-content: center;
}
.products-list .products .product {
  display: flex;
  gap: 20px;
  text-align: left;
}
.products-list .products .product .product-info .product-name {
  font-weight: 600;
}
.products-list .products .product .product-image {
  background-color: #fff;
  border-radius: 20px;
  object-fit: contain;
  height: 100%;
  width: 100%;
  max-height: 300px;
  max-width: 300px;
  aspect-ratio: 1;
}
.contacts-container {
  padding: 50px;
}
.contacts-container .contacts-title-container h1, .contacts-container .contacts-title-container .contacts-description {
  text-align: center;
}
.contacts-container .contacts-title-container h1 {
  font-family: "Abril Fatface", serif;
}
.contacts-container .business-info-container {
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 25px;
  padding-top: 25px;
}
.contacts-container .business-info-container .row {
  display: flex;
  gap: 25px;
  flex-wrap: wrap;
  justify-content: center;
}
.contacts-container .business-info-container .row .business-info:hover .contact-cta {
  color: #fff;
}
.contacts-container .business-info-container .row .business-info .contact-cta {
  color: #000;
  text-decoration: none;
}
.contacts-container .business-info-container .row .business-info {
  border: 1px solid #1f2a7e;
  padding: 20px;
  border-radius: 20px;
  width: 300px;
}
.contacts-container .business-info-container .row .business-info:hover {
  border: 1px solid #1f2a7e;
  background-color: #0177C1;
  color: #fff;
}
.map-container {
  background-color: #1f2a7e;
  height: 500px;
}
.big-title-section .big-title {
  font-family: "Abril Fatface", serif;
  font-size: 5rem;
  margin: 0;
  padding: 40px 0 0 0;
  text-align: center;
}
#videoloop2, #videoloop3 {
  max-height: 100%;
  max-width: 100%;
}
#solarpanel, #molino {
  max-width: 100% !important;
}
.paddles-container {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  padding: 10px 20px 10px 20px;
  transition: ease-in-out .3s;
}
.paddle {
  display: flex;
  cursor: pointer;
  justify-content: center;
  align-items: center;
  border: 1px solid black;
  border-radius: 1000px;
  height: 40px;
  width: 40px;
  aspect-ratio: 1;
  transition: ease-in-out .3s;
}
.paddle:hover {
  background-color: #000;
  color: #fff;
  transition: ease-in-out .3s;
}
.paddles-container .products .product {
  transition: ease-in-out .3s;
}
.flag {
  width: 20px;
  height: 20px;
  object-fit: contain;
}
.navigation-lang, .navigation-lang .navigation-lang-link {
  display: flex;
  align-items: center;
}
.contacts-socials-container {
  padding-top: 50px;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.contacts-socials-title {
  text-align: center;
}
.contacts-socials {
  display: flex;
  justify-content: center;
  gap: 20px;
}
.contacts-socials .contacts-social {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 5px;
  border: 1px solid #000;
  border-radius: 10px;
  transition: all ease-in-out .3s;
}
.contacts-socials .contacts-social .social {
  height: 40px;
  width: 40px;
  filter: contrast(100) brightness(0);
  transition: all ease-in-out .3s;
}
.contacts-socials .contacts-social:hover {
  background-color: #000;
}
.contacts-socials .contacts-social:hover .social {
  filter: contrast(0) brightness(100);
}
@media screen and (max-width: 1500px) and (min-width: 1001px) {
  #home-products-carousel {
    width: 750px;
  }
}
@media screen and (max-width: 1000px) {
  .products-list .products {
    display: flex;
    flex-direction: column;
  }
}
@media screen and (max-width: 800px) {
  .second-section .about-us-container {
    height: auto;
    flex-wrap: wrap;
  }
}
@media screen and (max-width: 1000px) and (min-width: 600px) {
  #home-products-carousel {
    width: 300px;
  }
}
@media screen and (max-width: 500px) {
  .header .logo, .header .header-container .logo-container {
    width: 70px;
  }
  .header .header-container .logo-container .logo-text {
    display: none;
  }
  .footer .footer-container .footer-content {
    flex-wrap: wrap;
  }
  .header .header-container .navigation {
    display: none;
  }
  .products-list .products .product {
    flex-wrap: wrap;
  }
  .big-title-section .big-title {
    font-size: 3.5rem;
  }
  .burger-menu {
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 30px;
    width: 30px;
    aspect-ratio: 1;
    cursor: pointer;
  }

  .active {
    opacity: 100;
    position: fixed;
    right: 0;
    background-color: #000;
    height: 100%;
    width: 100%;
    float: right;
    z-index: 100;
    transition: ease-in-out .3s;
  }
  .third-section .third-section-container {
    padding: 20px 10px;
  }
  .paddles-container {
    gap: 10px;
    padding: 10px 0;
  }
  .paddle {
    height: 30px;
    width: 30px;
  }
  #home-products-carousel {
    width: 100%;
  }
  #home-products-carousel .product, .third-section .products-title-container .products .product .product-image {
    max-width: 250px;
    width: 250px;
  }
  .carousel-cell, .carousel-cell .product-image {
    max-width: 100% !important;
    width: 100% !important;
  }
  .home-molino-image {
    aspect-ratio: 1;
    object-fit: cover !important;
  }
  .footer .navigation .navigation-link {
    text-align: center;
  }
  .footer .navigation .navigation-socials {
    justify-content: center;
  }
  .logo-text-mobile {
    font-family: "Abril Fatface", serif;
    font-size: 40px;
    line-height: 1;
  }
  .first-section-home-video {
    height: fit-content;
  }
  .first-section-home-video .video-container {
    height: 320px;
  }
  .first-section-home-video .video-container .video-filter {
    top: 100px;
    height: 220px;
  }
  .first-section-home-video .video-container #videoloop1 {
    height: 220px;
    margin-top: 100px;
  }
}